### Function

# FwupdPlugin ErrorMapEntry to_gerror

since: 2.0.13

#### Declaration [src]

    gboolean
    fu_error_map_entry_to_gerror (
      guint value,
      const FuErrorMapEntry* entries,
      guint n_entries,
      GError** error
    )

#### Description [src]

Sets the `GError` from the integer value and the error map.

Any entries with a error_code of `FWUPD_ERROR_LAST` will return success.

Available since: 2.0.13

#### Parameters

`value`

  Type: `guint`

  The value to look up.

`entries`

  Type: `FuErrorMapEntry`

  The `FuErrorMapEntry` map.

  The data is owned by the caller of the function.

`n_entries`

  Type: `guint`

  Number of `entries`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success.